      COMPLEX*16 FUNCTION JAC(Qs,Ps,mf2)
*---------------------------------------
        IMPLICIT NONE
        REAL*8 Qs,Ps,mf2
        REAL*8 pi,zet2
        COMPLEX*16 ieps,cmf2,P,sdQsy,yQs1,yQs2,XSPENZ
*
        pi=4d0*DATAN(1d0)
        zet2=pi**2/6
        ieps=DCMPLX(0d0,1d-35)
*
        cmf2=mf2-ieps
        P=Ps+cmf2
        sdQsy=CDSQRT(Qs**2+4*Qs*cmf2)
        yQs2=(Qs-sdQsy)/2/Qs
        yQs1=-cmf2/Qs/yQs2
*1-3
        JAC=+1d0/P*(CDLOG(P/mf2)*CDLOG(1d0-P/mf2)+XSPENZ(P/mf2))
     &  +1d0/sdQsy*(2d0*CDLOG(P/mf2)*CDLOG(-yQs1/yQs2)
     &              -XSPENZ(1d0/yQs1)+XSPENZ(1d0/yQs2))
*
        RETURN
      END
