#ifndef PARTONDIDTRIBUTIONSMRST2004_H
#define PARTONDIDTRIBUTIONSMRST2004_H

#include "PartonDistributions.h"

namespace SANC {

extern "C" void structq_(int*, double *, double *, double *);

class PartonDistributionsMRST2004 : public PDF {
public:
  int pdfID() { return 20460; };

private:
  double XF;
  void _init() {
  }
  double _xfA(int i, double x, double Q2) {  structq_(&i, &x, &Q2, &XF); return XF;}
  double _xfB(int i, double x, double Q2) {  structq_(&i, &x, &Q2, &XF); return XF;}
  double _AlfasQ(double Q) { return 0.; }
  double _Q2min() { return 1.25; }
};
} // namespace SANC

#endif // PARTONDIDTRIBUTIONSMRST2004_H
