      COMPLEX*16 FUNCTION JAZAsub(Qs,Ps,mz2)
*-------------------------------------------
* javsub(Qs,Ps,mz)=-jav((Qs,Ps,mel,mz)
*                 +(c0(-mz^2,-mdn^2,Ts,mdn,mdn,0)*(Ts+mz^2)
*                 + c0(0,-mdn^2,Ts,mdn,mdn,0) *(Qs+Ts)
*                 + c0(0,-mz^2,Qs,mdn,mdn,mdn)*(Qs+mz^2))/Qs
* only in annihilation channel: -Qs>0, Ps>0.
        IMPLICIT NONE
        REAL*8 Qs,Ps,mz2,pi,zet2
        COMPLEX*16 i_,ieps,XSPENZ
*
        pi=4d0*DATAN(1d0)
        zet2=pi**2/6
        i_=DCMPLX(0d0,1d0)
        ieps=DCMPLX(0d0,1d-35)
*
        JAZAsub=-1d0/Qs*(
     &   +2*DLOG(-Qs/(Ps+mz2))*(DLOG(Ps/mz2)+i_*pi)
     &   -1d0/2*DLOG(-Qs/mz2)**2
     &   +XSPENZ((Qs+mz2-ieps)/mz2)
     &   -XSPENZ((Qs+mz2-ieps)/Qs)
     &   -XSPENZ(-Ps/mz2-ieps)-XSPENZ(-Ps/mz2+ieps))
*
        RETURN
      END
